package com.knecon.fforesight.service.layoutparser.processor.model;

import java.awt.geom.Rectangle2D;
import java.util.LinkedList;
import java.util.List;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.experimental.FieldDefaults;

@Getter
@AllArgsConstructor
@FieldDefaults(makeFinal = true, level = AccessLevel.PRIVATE)
public class GapInformation {

    List<List<Rectangle2D>> xGaps;
    List<List<Rectangle2D>> yGaps;


    public GapInformation() {

        xGaps = new LinkedList<>();
        yGaps = new LinkedList<>();
    }

}
